Bug 770299 - Review Request: trac-tocmacro-plugin - Trac plugin table of content macro
Summary: Review Request: trac-tocmacro-plugin - Trac plugin table of content macro
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-25 20:55 UTC by Andrea Veri
Modified: 2012-01-15 23:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-28 12:59:46 UTC
kevin: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Andrea Veri 2011-12-25 20:55:50 UTC
Spec URL: http://averi.fedorapeople.org/RPMs/trac-tocmacro-plugin/trac-tocmacro-plugin.spec
SRPM URL: http://averi.fedorapeople.org/RPMs/trac-tocmacro-plugin/trac-tocmacro-plugin-0.11.0.0.3-20111225svn11062.fc16.src.rpm
Description: The TocMacro's Trac plugin generates a table of contents for the current page or a set of pages.

Comment 1 Kevin Fenzi 2011-12-26 17:22:46 UTC
I'll go ahead and review this. Look for a full review later today.

Comment 2 Kevin Fenzi 2011-12-27 20:41:43 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (BSD)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
see below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. Might ask upstream to include a copy of the license. Not a blocker. 

2. rpmlint says: 

trac-tocmacro-plugin.noarch: W: no-documentation
trac-tocmacro-plugin.src: W: invalid-url Source0: trac-tocmacro-plugin-0.11.svn11062.tar.gz

Can both be ignored. 

I don't see any blockers here, so this package is APPROVED. 

I'm happy to co-maintain.

Comment 3 Andrea Veri 2011-12-27 20:57:52 UTC
New Package SCM Request
=======================
Package Name: trac-tocmacro-plugin
Short Description: Trac plugin table of content macro 
Owners: averi kevin
Branches: f16 el6
InitialCC: averi kevin

Comment 4 Gwyn Ciesla 2011-12-28 01:17:29 UTC
Git done (by process-git-requests).

Comment 5 Andrea Veri 2011-12-28 12:59:46 UTC
Built fine.

Comment 6 Fedora Update System 2011-12-28 18:38:49 UTC
trac-workflowadmin-plugin-0.12-20111223svn11062.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/trac-workflowadmin-plugin-0.12-20111223svn11062.el6

Comment 7 Fedora Update System 2011-12-28 18:41:17 UTC
trac-tocmacro-plugin-0.11.0.0.3-20111225svn11062.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/trac-tocmacro-plugin-0.11.0.0.3-20111225svn11062.el6

Comment 8 Fedora Update System 2012-01-15 23:22:58 UTC
trac-tocmacro-plugin-0.11.0.0.3-20111225svn11062.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.